# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentIdVersionsBody3(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'simple_models': 'ParametersexperimentVersionsimpleModels',
        'folder_dataset_id': 'ParametersexperimentVersionfolderDatasetId',
        'filename_column': 'ParametersexperimentVersionfilenameColumn'
    }

    attribute_map = {
        'simple_models': 'simple_models',
        'folder_dataset_id': 'folder_dataset_id',
        'filename_column': 'filename_column'
    }

    def __init__(self, simple_models=None, folder_dataset_id=None, filename_column=None):  # noqa: E501
        """ExperimentIdVersionsBody3 - a model defined in Swagger"""  # noqa: E501
        self._simple_models = None
        self._folder_dataset_id = None
        self._filename_column = None
        self.discriminator = None
        if simple_models is not None:
            self.simple_models = simple_models
        if folder_dataset_id is not None:
            self.folder_dataset_id = folder_dataset_id
        if filename_column is not None:
            self.filename_column = filename_column

    @property
    def simple_models(self):
        """Gets the simple_models of this ExperimentIdVersionsBody3.  # noqa: E501


        :return: The simple_models of this ExperimentIdVersionsBody3.  # noqa: E501
        :rtype: ParametersexperimentVersionsimpleModels
        """
        return self._simple_models

    @simple_models.setter
    def simple_models(self, simple_models):
        """Sets the simple_models of this ExperimentIdVersionsBody3.


        :param simple_models: The simple_models of this ExperimentIdVersionsBody3.  # noqa: E501
        :type: ParametersexperimentVersionsimpleModels
        """

        self._simple_models = simple_models

    @property
    def folder_dataset_id(self):
        """Gets the folder_dataset_id of this ExperimentIdVersionsBody3.  # noqa: E501


        :return: The folder_dataset_id of this ExperimentIdVersionsBody3.  # noqa: E501
        :rtype: ParametersexperimentVersionfolderDatasetId
        """
        return self._folder_dataset_id

    @folder_dataset_id.setter
    def folder_dataset_id(self, folder_dataset_id):
        """Sets the folder_dataset_id of this ExperimentIdVersionsBody3.


        :param folder_dataset_id: The folder_dataset_id of this ExperimentIdVersionsBody3.  # noqa: E501
        :type: ParametersexperimentVersionfolderDatasetId
        """

        self._folder_dataset_id = folder_dataset_id

    @property
    def filename_column(self):
        """Gets the filename_column of this ExperimentIdVersionsBody3.  # noqa: E501


        :return: The filename_column of this ExperimentIdVersionsBody3.  # noqa: E501
        :rtype: ParametersexperimentVersionfilenameColumn
        """
        return self._filename_column

    @filename_column.setter
    def filename_column(self, filename_column):
        """Sets the filename_column of this ExperimentIdVersionsBody3.


        :param filename_column: The filename_column of this ExperimentIdVersionsBody3.  # noqa: E501
        :type: ParametersexperimentVersionfilenameColumn
        """

        self._filename_column = filename_column

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentIdVersionsBody3, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentIdVersionsBody3):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
